// If your presentation is longer than 125 slides,
// you could change the Array size below.
filename = new Array(125);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)


// Means the preso is being set for placement on the web
// to be viewed directly (with no human speaker) by the end user.
var online = true


// Running online as Visual Tutorial with explanatory text.
var tutorialMode = false


// Slides for Intro to Cascading Style Sheets.

if (!online) AddSlide("logopage");

if (tutorialMode) { AddSlide("titletut"); }
else {
  if (online) { AddSlide("titleonl"); }
  else { AddSlide("title"); }
}

if (tutorialMode || online ) { AddSlide("howto"); }
if (tutorialMode) { AddSlide("howtotu2"); }
else if (online) { AddSlide("howto2"); }

AddSlide("C_agenda"); 
AddSlide("J_whatdo");
if (tutorialMode) { AddSlide("JTwhatdo"); }

if (tutorialMode) { 
  AddSlide("J_benef")
  AddSlide("JTbenef1")
  AddSlide("JTbenef2")
  AddSlide("JTbenef3")
  AddSlide("JTbenef4")
  AddSlide("JTbenef5")
}
else { AddSlide("J_benef") 
       AddSlide("J_benef2")
} 

if (tutorialMode) { AddSlide("JTwhatCS"); }
else { AddSlide("J_whatCS"); }

AddSlide("C_newtag");
if (tutorialMode) { 
    AddSlide("CTnewta1")
    AddSlide("CTnewta2")
    AddSlide("CTnewta3")
}


if (tutorialMode) { AddSlide("CTdefn_a") }
AddSlide("C_defn");
AddSlide("C_defn2")
if (tutorialMode) { 
  AddSlide("CTdefn3a")  
  AddSlide("CTdefn3b")
  AddSlide("CTdefn3c")
  AddSlide("CTdefn3d")
}
else AddSlide("C_defn3");


if (tutorialMode) { 
  AddSlide("CTselexa"); 
  AddSlide("CTselexb"); 
  AddSlide("CTselexc"); 
  AddSlide("CTselexd"); 
  AddSlide("CTselexe"); 
}
else { AddSlide("C_selex") }

if (tutorialMode) { AddSlide("CTwhere1"); }
AddSlide("C_where2")
AddSlide("C_where3")
AddSlide("C_where4")

if (tutorialMode) { AddSlide("CTunit1"); }
AddSlide("C_units")  
AddSlide("C_units2") 
AddSlide("J_counit")
AddSlide("C_couni2")
AddSlide("C_coment")

if (tutorialMode) { AddSlide("CTblock"); }
AddSlide("C_block")
AddSlide("GrMargin")
AddSlide("C_layout")
AddSlide("C_lay2")
AddSlide("C_margns") 
// duplicates previous slide! AddSlide("C_marga4")
AddSlide("C_pading")  
AddSlide("C_pad2")  
AddSlide("C_border")  
// duplicates previous slide! AddSlide("C_borda4")
AddSlide("C_bordr2")  
AddSlide("C_bord2")
AddSlide("C_bordco")
AddSlide("C_bord3")
AddSlide("C_bord3a")
AddSlide("C_bord4")
AddSlide("C_bord4a")
AddSlide("C_color")
AddSlide("C_class")
AddSlide("C_class2") 
AddSlide("C_ids")
AddSlide("C_ids1")
AddSlide("C_ids2")
AddSlide("C_div")
AddSlide("C_span")
AddSlide("C_fontS")
AddSlide("C_fontW")

if (tutorialMode) { 
  AddSlide("CTfntSA1") 
  AddSlide("CTfntSA2") }
else { AddSlide("C_fntSzA") }


AddSlide("C_fntSzR")

AddSlide("C_fontFm") 
AddSlide("C_decor")
AddSlide("C_xform")
AddSlide("C_align")
AddSlide("C_indent")
AddSlide("C_listST")
AddSlide("C_listUL")
AddSlide("C_listOL")

if (tutorialMode) { 
  AddSlide("CTcascd"); 
  AddSlide("CTcascd2"); 
  AddSlide("CTcascd3"); 
  AddSlide("CTcascd4"); 
}
AddSlide("C_cascda")
AddSlide("C_cascdb")
AddSlide("C_cascdc")

AddSlide("C_whyJS")
AddSlide("C_whyJS2")
AddSlide("J_SCURL")  //
AddSlide("J_SCURL2") //
AddSlide("J_SCURL3") //





// Keep this last slide (logopage) in your presentation 
// so every presentation ends with the logo.

AddSlide("logopage")






