// If your presentation is longer than 200 slides,
// you could change the array size below.
filename = new Array(200);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// If you want to include an HTML file which is in a subdirectory,
// separate the subdirectory name and the HTML file name with a
// forward slash like this: AddSlide("DIRECTORYNAME/FILENAME")
// (This works fine across platforms, even on Windows.) 
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


// Means the preso is being set for placement on the web
// to be viewed directly (with no human speaker) by the end user.
var online = true


// Running online as Visual Tutorial with explanatory text.
var tutorialMode = false


// Running as standalone CSSP preso instead of combined CSS-CSSP preso.
var csspStandalone = true


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

if (!online) AddSlide("logopage");

if (tutorialMode) { AddSlide("titletut"); }
else {
  if (online) { AddSlide("titleonl"); }
  else { AddSlide("title"); }
}

if (csspStandalone) {
if (tutorialMode || online ) { AddSlide("howto"); }
if (tutorialMode) { AddSlide("howtotu2"); }
else if (online) { AddSlide("howto2"); }
}


AddSlide("P_agenda")

// take out in combined CSS-CSSP presentation
if (csspStandalone)  {
if (tutorialMode) { AddSlide("JTwhatCS"); }
else { AddSlide("J_whatCS"); }
}


if (tutorialMode) { AddSlide("PTwhatP"); }
else { AddSlide("P_whatP"); }

AddSlide("P_Pdoes")
if (tutorialMode) { 
   AddSlide("PTPdoes1"); 
   AddSlide("PTPdoesr"); 
   AddSlide("PTPdoes2"); 
   AddSlide("PTPdoes3"); 
}

AddSlide("P_prop");
if (tutorialMode) { 
   AddSlide("PTprop1"); 
   AddSlide("PTprop2"); 
   AddSlide("PTprop3"); 
   AddSlide("PTprop4"); 
   AddSlide("PTprop5"); 
   AddSlide("PTprop6"); 
   AddSlide("PTprop7"); 
   AddSlide("PTprop8"); 
   AddSlide("PTprop9"); 
}

AddSlide("P_relabs");

// demo of absolute and relative positioning

AddSlide("P_html");

AddSlide("P_defalt");

if (tutorialMode) { 
   AddSlide("PTapdss1"); 
   AddSlide("PTapdss2"); 
}
else { AddSlide("P_apdss"); }

AddSlide("P_apdemo");

if (tutorialMode) {  
   AddSlide("PTratran");
   AddSlide("PTrpdss1"); 
//   AddSlide("PTrpdss2"); 
}
else { AddSlide("P_rpdss"); }

AddSlide("P_rpdemo");

AddSlide("P_zdss");
AddSlide("P_zdemo");

AddSlide("P_widths");
AddSlide("P_widthd");

if (tutorialMode) { AddSlide("PTvisib"); }
AddSlide("P_visibs");
AddSlide("P_visib1");
AddSlide("P_visib2");

AddSlide("J_SCURL");  
AddSlide("J_SCURL2"); 
AddSlide("J_SCURL3"); 


// Keep this last slide (logopage) in your presentation 
// so every presentation ends with the logo.

AddSlide("logopage");