// navbar.js
// (Global variables are declared in slide.js.)
// Display previous/next slide in sequence, or goto other slide.

// 30 July 97: rewrite to use top instead of parent so that these functions
// can be called from within index.htm and notes.htm too [enabling those
// documents to do an onload="goto_slide(1, true)" ]

// By default, filenames are relative to inside of basefile directory,
// so when loading HTML slide page files from main directory,
// we prefix "../" to the filename.  However, the onload event handler
// for documents index.htm and notes.htm must also call this function
// to load the first page; those documents are in the main directory,
// so we prefix "" to the filename.

function
goto_slide(slide_num, caller_in_main_directory)
{       var filename_prefix = ""
	if (caller_in_main_directory == null) { filename_prefix = "../" }
	if(slide_num < 1 || slide_num > top.last_slide){
		alert("Please enter number between 1 and " + top.last_slide);
	}
	else {
		top.current_slide = Math.abs(slide_num);
		top.frames["slide"].location = filename_prefix + top.filename[slide_num];
                // update displayed page count in goto field
                top.frames["next"].document.forms["gotoform"].slidenum.value = top.current_slide;
	}
}

function
prev_slide()
{
	if(top.current_slide == 1){
		alert("You are already at the first slide.\nThere is no previous slide.");
	} 
        else goto_slide(top.current_slide - 1);
}


// Display next slide in sequence.
function
next_slide()
{
	
	if (top.current_slide == top.last_slide){
		alert("You are already at the last slide.\nThere is no next slide.");
	} else goto_slide(top.current_slide + 1);
}

