// style.jss: JavaScript file which uses Document Object Model
// to set style of text in htmlpres HTML presentation template.
// Created by Eric Krock, Netscape Communications.
// Permission is granted to freely reuse and distribute this file.
// Last modified 30 July 1997 for backward compatibility with Nav3.0.

// Constructor function for object type fontSizeOf.
// This object type holds the per-element size data
// for the current screen size.  A global variable,
// fontSizeOf, is set to this object so that style
// sheets in individual HTML pages can retrieve and 
// use this data. 

function constructFontSizeOf (h1, h2, h3, h4, h5, h6, titlepage, p, li, ul, ol, dl, dt, dd, blockquote, th, td, pre, tt, small, medium, large)
{  this.h1 = h1
   this.h2 = h2
   this.h3 = h3
   this.h4 = h4
   this.h5 = h5
   this.h6 = h6
   this.titlepage = titlepage
   this.p = p
   this.li = li
   /* BUG WORKAROUND: Shouldn't be necessary to set fontSize on UL and OL as
      well as LI, but setting LI fontSize doesn't work now.  Setting on UL and OL
      is the workaround. */ 
   this.ul = ul
   this.ol = ol
   this.dl = dl
   this.dt = dt
   this.dd = dd
   this.blockquote = blockquote
   this.th = th
   this.td = td
   this.pre = pre
   this.tt  = tt
   this.small = small
   this.medium = medium
   this.large = large
}


function setFontSizes (h1, h2, h3, h4, h5, h6, titlepage, p, li, ul, ol, dl, dt, dd, blockquote, th, td, pre, tt, small, medium, large)
{  var returnDataStructure = new constructFontSizeOf (h1, h2, h3, h4, h5, h6, titlepage, p, li, ul, ol, dl, dt, dd, blockquote, th, td, pre, tt, small, medium, large)

   document.tags.H1.fontSize = h1
   document.tags.H2.fontSize = h2
   document.tags.H3.fontSize = h3
   document.tags.H4.fontSize = h4
   document.tags.H5.fontSize = h5
   document.tags.H6.fontSize = h6

   document.tags.PRE.fontSize = pre

   document.tags.P.fontSize = p

   /* BUG WORKAROUND: Shouldn't be necessary to set fontSize on UL and OL as
      well as LI, but setting LI fontSize doesn't work now.  Setting on UL and OL
      is the workaround. */ 
   document.tags.LI.fontSize = li
   document.tags.UL.fontSize = ul
   document.tags.OL.fontSize = ol
   document.tags.DL.fontSize = dl
   document.tags.DT.fontSize = dt
   document.tags.DD.fontSize = dd
   document.tags.BLOCKQUOTE.fontSize = blockquote
   document.tags.TH.fontSize = th
   document.tags.TD.fontSize = td

   document.classes.titlepage.all.fontSize = titlepage

   document.classes.small.all.fontSize = small
   document.classes.medium.all.fontSize = medium
   document.classes.large.all.fontSize = large

   document.classes.footnote.all.fontSize = small

   return returnDataStructure
}


// Global variable speakerNotesMode determines whether we are in
// speaker notes display mode (speaker mode text visible, all
// text in smaller fonts so speaker notes fit on screen) or
// normal mode (speaker mode text invisible because color is same
// as backgroundcolor, all text in large fonts appropriate
// for overhead display).

var speakerNotesMode = true


// Global variable fontSizeOf will store the per-element size data
// for the current screen size so that style
// sheets in individual HTML pages can retrieve and 
// use this data. 

var fontSizeOf


// onLoad method 
function moveSpeakerNotes ()
{   if (speakerNotesMode && !tutorialMode && document.speakernotessection &&
        document.tutorialsection)
    {   document.speakernotessection.moveToAbsolute(document.tutorialsection.pageX, 
          document.tutorialsection.pageY)    }
}


// Workaround for Nav3.x bug in which JavaScript files
// with <SCRIPT LANGUAGE="JavaScript1.2" SRC=...> are
// loaded, even though they should be ignored.
// Make sure this code is only executed by 4.x and later.
if (parseInt(navigator.appVersion) > 3) {


var screenWidth = screen.width


/* Show text in smaller size so everything (overhead bullets and speaker notes)
   fits (usually) on one unscrolled page. */
if (speakerNotesMode) {
     fontSizeOf = setFontSizes ("18pt", "18pt", "18pt", "18pt", "18pt", "18pt", "18pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "16pt", "12pt", "12pt", "12pt") }

/* 640x480 is 0.8 times the size of 800x600, so scale down by 20%. */
else if (screenWidth < 700) {
     fontSizeOf = setFontSizes ("27pt", "27pt", "27pt", "27pt", "27pt", "27pt", "27pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "22pt", "10pt", "14pt", "17pt") }

/* 12" monitor of 800x600 pixels is the size which we consider "base"; 
   all other sizes are designed to scale so that their content will fit
   within an 800x600 pixel size area.  This is the pixel size used by 12"
   laptop monitors as well as many overhead display systems. */
else if (screenWidth < 900) {
     fontSizeOf = setFontSizes ("34pt", "34pt", "34pt", "34pt", "34pt", "34pt", "34pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "28pt", "12pt", "18pt", "21pt") }

/* 17" monitor of 1024x768 pixels is 1.28 times larger than 12",
   so scale up by 28% to make sure HTML still fits on smaller page. */
else if (screenWidth < 1050) {
     fontSizeOf = setFontSizes ("44pt", "44pt", "44pt", "44pt", "44pt", "44pt", "44pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "36pt", "18pt", "23pt", "27pt") }

/* 20" monitor of 1280x1024 pixels is 1.7 times larger than 800x600,
   so scale up by 70% to make sure HTML still fits on smaller page. */
else if (screenWidth < 1300) {
     fontSizeOf = setFontSizes ("58pt", "58pt", "58pt", "58pt", "58pt", "58pt", "58pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "48pt", "21pt", "31pt", "36pt") }

/* 21" monitor of 1600x1200 pixels is 2.0 times larger than 800x600,
   so scale up by 100% to make sure HTML still fits on smaller page. */
else {
     fontSizeOf = setFontSizes ("68pt", "68pt", "68pt", "68pt", "68pt", "68pt", "68pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "56pt", "24pt", "36pt", "42pt") }



// properties which don't depend on current screen size

// global variables used to set text and background color
var presentationTextColor = "black"
var presentationBackgroundColor = "white"


document.tags.BODY.color = presentationTextColor
document.tags.BODY.backgroundColor = presentationBackgroundColor


if (speakerNotesMode) {     
   document.contextual(document.ids.speakernotessection, document.tags.H1).textDecoration = "underline"
   document.contextual(document.ids.speakernotessection, document.tags.H1).marginTop = "1em"
}



document.tags.H1.fontWeight = "bold"

// enhance readability of source code by making it bold
document.tags.PRE.fontWeight = "bold"

document.classes.titlepage.all.fontWeight = "bold"
document.classes.titlepage.all.textAlign = "center"

document.classes.footnote.all.textAlign = "right"

// An example of defining classes to create a visual effect
// which can be used across many slides.  All elements which have
// CLASS="agendahilite" in their start tag will display in red
// text on a yellow background.
document.classes.agendahilite.all.color = "red"
document.classes.agendahilite.all.backgroundColor = "yellow"

var tutorialMode = false

self.onLoad = moveSpeakerNotes;

} // end of initial if

// end of file


