// If your presentation is longer than 200 slides,
// you could change the array size below.
filename = new Array(200);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// If you want to include an HTML file which is in a subdirectory,
// separate the subdirectory name and the HTML file name with a
// forward slash like this: AddSlide("DIRECTORYNAME/FILENAME")
// (This works fine across platforms, even on Windows.) 
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


// Means the preso is being set for placement on the web
// to be viewed directly (with no human speaker) by the end user.
var online = true


// Running online as Visual Tutorial with explanatory text.
var tutorialMode = false


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

// if (!online) { AddSlide("logopage"); }

// Add *either* the tutorial title page or the presentation
// title page, depending on whether we're running in tutorialMode.
if (tutorialMode) { AddSlide("titletut"); }
else if (online) { AddSlide("titleonl"); }
else { AddSlide("title"); }	// title slide

if (tutorialMode || online ) { AddSlide("howto"); }
if (tutorialMode) { AddSlide("howtotu2"); }
else if (online) { AddSlide("howto2"); }

AddSlide("WBagenda")

// debugging

AddSlide("WBagend1")

AddSlide("D_agenda")
AddSlide("D_alert")
AddSlide("D_status")
AddSlide("D_testpg")
AddSlide("D_testp2")
AddSlide("D_testp3")
AddSlide("D_suite")
AddSlide("D_suite2")
AddSlide("D_suite3")
AddSlide("D_suite4")
AddSlide("D_auto")
AddSlide("D_auto2")
AddSlide("D_auto3")
AddSlide("D_autom")
AddSlide("D_autom2")
AddSlide("D_autom3")
AddSlide("D_cons")
AddSlide("D_cons2")
AddSlide("D_cons3")
AddSlide("D_cons4")

AddSlide("D_jsd1")
if (online) AddSlide("D_jsdfe3");
else {
//  AddSlide("D_jsdfea")
//  AddSlide("D_jsdfe2")
  AddSlide("D_jsdfe3")
}
AddSlide("D_jscond")
AddSlide("D_jslog")
AddSlide("D_jslog2")
AddSlide("D_jschng")

// idea: using debugger to study event objects created by any event


// writing for the web

AddSlide("WBagend2")

AddSlide("W_stdchk")
AddSlide("W_site")
AddSlide("W_LCD")
AddSlide("W_LCD1")
AddSlide("W_LCD1P")
AddSlide("W_JS10")
if (online) AddSlide("advjs/Vojvers2");
else AddSlide("advjs/Vijvers2");
AddSlide("W_JSclev")
AddSlide("W_JSclex")
AddSlide("W_bvers")
AddSlide("W_nav3bg")
AddSlide("W_getimg")
AddSlide("W_setimg")
AddSlide("W_getx")
AddSlide("W_getx2")
AddSlide("W_setx")
AddSlide("W_movex")
AddSlide("W_gety")
AddSlide("W_gety2")
AddSlide("W_sety")
AddSlide("W_movey")
AddSlide("W_getz")
AddSlide("W_setz")
AddSlide("W_hide")
AddSlide("W_roadmp")
AddSlide("W_solns")


// AddSlide("advjs/V_jvers")

// JS 1.2 language enhancements

AddSlide("WBagend3")

AddSlide("CRequal")
AddSlide("CRequal2")
AddSlide("CRdcnvrt")
AddSlide("CRobjlit")
AddSlide("CRarylit")
AddSlide("CRdelete")
AddSlide("CRfncons")
AddSlide("CRlabel")
AddSlide("CRbreak")
AddSlide("CRswitch")
AddSlide("CRcont")
AddSlide("CRdowhil")


// RegExp
// AddSlide("agenda-3");	// 

AddSlide("WBagend4")

AddSlide("R_over")
AddSlide("R_perl")
AddSlide("R_perlex")
AddSlide("R_meth")
AddSlide("R_demo")
AddSlide("R_compar") 
AddSlide("R_reobj")
AddSlide("R_angus")


// style sheet properties

AddSlide("WBagend5")

AddSlide("cssp/J_whatCS");
AddSlide("cssp/P_whatP");

// AddSlide("css/J_benef") 
// AddSlide("css/J_benef2")

AddSlide("dom/J_whyJS");
AddSlide("dom/J_whyJS2");
AddSlide("dom/J_newsel");
AddSlide("dom/J_consel");
AddSlide("dom/J_newprp");
/*
AddSlide("dom/J_where");
AddSlide("dom/J_where1");
AddSlide("dom/J_where2");
AddSlide("dom/J_wherec");
AddSlide("dom/J_scrsty");
AddSlide("dom/J_scrst2");
AddSlide("dom/J_where3");
*/
//AddSlide("dom/J_units");
//AddSlide("dom/C_units2");
//AddSlide("dom/J_counit");
//AddSlide("dom/J_couni2");
//AddSlide("dom/J_coment");

AddSlide("dom/J_DevEx1");
AddSlide("dom/J_DevCo1");
AddSlide("dom/J_DevCo2");
AddSlide("dom/J_DevCo3");
AddSlide("dom/J_DevCo4");
AddSlide("dom/J_DevAd1");

// security

AddSlide("WBagend6")

AddSlide("S_over")
AddSlide("S_princ")
AddSlide("S_impexp")
AddSlide("S_impex2")

// new event model

AddSlide("WBagend7")

AddSlide("screen")
AddSlide("scree2")
AddSlide("scree3")
AddSlide("advjs/E_js12ov")
AddSlide("advjs/E_js12wn")
AddSlide("advjs/E_js12w2")
AddSlide("advjs/E_wnbutt")
AddSlide("advjs/E_mousov")
AddSlide("advjs/E_trap")
AddSlide("advjs/E_keyovr")
AddSlide("advjs/Wnbakfor")
AddSlide("advjs/Wnhomfin")
AddSlide("advjs/Wnpriget")
AddSlide("advjs/Wn_pgdem")
// AddSlide("Wn_open")

//----- Window ----------

AddSlide("advjs/w_window1");	// 
AddSlide("advjs/w_window2");	// 
AddSlide("advjs/w_window3");	// 
// AddSlide("w_window4");	// 

AddSlide("advjs/Wn_opend") // always raised commented out
AddSlide("advjs/Wn_pos")
AddSlide("advjs/Wn_posd") 
AddSlide("advjs/Wn_siz")
AddSlide("advjs/Wn_sizd") 
AddSlide("advjs/Wnscrol")
AddSlide("advjs/Wnscrold") 
AddSlide("advjs/Wnscrn")
AddSlide("advjs/E_evtobj")
AddSlide("advjs/E_evtob2")
AddSlide("advjs/E_mousc")
AddSlide("advjs/E_mousmv")
AddSlide("advjs/E_mousdc")
AddSlide("advjs/E_key")
AddSlide("advjs/E_keyd")
AddSlide("advjs/E_win")
AddSlide("advjs/E_caprel")
AddSlide("advjs/E_caprea")
AddSlide("advjs/E_capre2")

if (online) {
AddSlide("U_this")
} 

AddSlide("U_JS12")
AddSlide("U_RE")
AddSlide("U_CSS1P")
AddSlide("U_DGCSSP")


//AddSlide("advjs/A_over")
//AddSlide("advjs/A_demo")


// Keep this last slide (logopage) in your presentation 
// so every presentation ends with the logo.

AddSlide("logopage");	// 






