// If your presentation is longer than 200 slides,
// you could change the array size below.
filename = new Array(250);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// If you want to include an HTML file which is in a subdirectory,
// separate the subdirectory name and the HTML file name with a
// forward slash like this: AddSlide("DIRECTORYNAME/FILENAME")
// (This works fine across platforms, even on Windows.) 
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


var euroStandupVersion = false
var euroOnlineVersion = true


if (euroOnlineVersion) {
online = true
tutorialMode = false
standup = false
longversion = true
showURLsAtEnd = true
showURLsDuring = true
showURLs = showURLsDuring
skipCSS1 = false
skipCSSP = false
skipJSSS = false
}

if (euroStandupVersion) {
online = false
tutorialMode = false
standup = true
longversion = false
showURLsAtEnd = true
showURLsDuring = true
showURLs = showURLsDuring
skipCSS1 = true
skipCSSP = true
skipJSSS = true
}


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

if (!online) { AddSlide("logopage"); }

// Add *either* the tutorial title page or the presentation
// title page, depending on whether we're running in tutorialMode.
if (tutorialMode) { AddSlide("titletut"); }
else if (online) { AddSlide("titleonl"); }
else { AddSlide("title"); }	// title slide

if (tutorialMode || online ) { AddSlide("howto"); }
if (tutorialMode) { AddSlide("howtotu2"); }
else if (online) { AddSlide("howto2"); }

AddSlide("EHagenda")

AddSlide("dynh/DHwycaro");

if (online) AddSlide ("DHdemoso");
else  AddSlide ("dynh/DHdemosi");

AddSlide("EHagend1")

// *** START CSS

if (skipCSS1) {
AddSlide("css/J_whatCS")
AddSlide("css/J_whatdo");
AddSlide("css/J_benef") 
AddSlide("css/J_benef2")
AddSlide("css/C_newtag");
AddSlide("css/C_defn");
AddSlide("css/C_defn2")
AddSlide("css/C_defn3")
AddSlide("css/C_selex")
AddSlide("css/GrMargin")
AddSlide("css/C_bord3")
AddSlide("css/C_color")
AddSlide("css/C_fontS")
AddSlide("css/C_fontW")
AddSlide("css/C_decor")
AddSlide("css/C_listUL")
AddSlide("css/C_listOL")


}
else {

AddSlide("css/C_agenda"); 
AddSlide("css/J_whatdo");
if (tutorialMode) { AddSlide("css/JTwhatdo"); }

if (tutorialMode) { 
  AddSlide("css/J_benef")
  AddSlide("css/JTbenef1")
  AddSlide("css/JTbenef2")
  AddSlide("css/JTbenef3")
  AddSlide("css/JTbenef4")
  AddSlide("css/JTbenef5")
}
else { AddSlide("css/J_benef") 
       AddSlide("css/J_benef2")
} 

if (tutorialMode) { AddSlide("css/JTwhatCS"); }
else { AddSlide("css/J_whatCS"); }

AddSlide("css/C_newtag");
if (tutorialMode) { 
    AddSlide("css/CTnewta1")
    AddSlide("css/CTnewta2")
    AddSlide("css/CTnewta3")
}


if (tutorialMode) { AddSlide("css/CTdefn_a") }
AddSlide("css/C_defn");
AddSlide("css/C_defn2")
if (tutorialMode) { 
  AddSlide("css/CTdefn3a")  
  AddSlide("css/CTdefn3b")
  AddSlide("css/CTdefn3c")
  AddSlide("css/CTdefn3d")
}
else AddSlide("css/C_defn3");


if (tutorialMode) { 
  AddSlide("css/CTselexa"); 
  AddSlide("css/CTselexb"); 
  AddSlide("css/CTselexc"); 
  AddSlide("css/CTselexd"); 
  AddSlide("css/CTselexe"); 
}
else { AddSlide("css/C_selex") }

if (tutorialMode) { AddSlide("css/CTwhere1"); }
AddSlide("css/C_where2")
AddSlide("css/C_where3")
AddSlide("css/C_where4")

if (tutorialMode) { AddSlide("css/CTunit1"); }
AddSlide("css/C_units")  
AddSlide("css/C_units2") 
AddSlide("css/J_counit")
AddSlide("css/C_couni2")
AddSlide("css/C_coment")

if (tutorialMode) { AddSlide("css/CTblock"); }
AddSlide("css/C_block")
AddSlide("css/GrMargin")
AddSlide("css/C_layout")
AddSlide("css/C_lay2")
AddSlide("css/C_margns") 
// duplicates previous slide! AddSlide("css/C_marga4")
AddSlide("css/C_pading")  
AddSlide("css/C_pad2")  
AddSlide("css/C_border")  
// duplicates previous slide! AddSlide("css/C_borda4")
AddSlide("css/C_bordr2")  
AddSlide("css/C_bord2")
AddSlide("css/C_bordco")
AddSlide("css/C_bord3")
AddSlide("css/C_bord3a")
AddSlide("css/C_bord4")
AddSlide("css/C_bord4a")
AddSlide("css/C_color")
AddSlide("css/C_class")
AddSlide("css/C_class2") 
AddSlide("css/C_ids")
AddSlide("css/C_ids1")
AddSlide("css/C_ids2")
AddSlide("css/C_div")
AddSlide("css/C_span")
AddSlide("css/C_fontS")
AddSlide("css/C_fontW")

if (tutorialMode) { 
  AddSlide("css/CTfntSA1") 
  AddSlide("css/CTfntSA2") }
else { AddSlide("css/C_fntSzA") }


AddSlide("css/C_fntSzR")

AddSlide("css/C_fontFm") 
AddSlide("css/C_decor")
AddSlide("css/C_xform")
AddSlide("css/C_align")
AddSlide("css/C_indent")
AddSlide("css/C_listST")
AddSlide("css/C_listUL")
AddSlide("css/C_listOL")

if (tutorialMode) { 
  AddSlide("css/CTcascd"); 
  AddSlide("css/CTcascd2"); 
  AddSlide("css/CTcascd3"); 
  AddSlide("css/CTcascd4"); 
}
AddSlide("css/C_cascda")
AddSlide("css/C_cascdb")
AddSlide("css/C_cascdc")

}  // end "if not skipCSS1" ...

if (skipCSS1 && showURLsDuring) AddSlide("U_CS1onl")


// copied from cssp

AddSlide("EHagend2")



// *** START CSSP

// Running as standalone CSSP preso instead of combined CSS-CSSP preso.
var csspStandalone = false


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

// AddSlide("agenda2")

if (skipCSSP) {
AddSlide("cssp/P_whatP")
AddSlide("cssp/P_prop");
AddSlide("cssp/P_zdemo");
}
else {

AddSlide("cssp/P_agenda")

// take out in combined CSS-CSSP presentation
if (csspStandalone)  {
if (tutorialMode) { AddSlide("cssp/JTwhatCS"); }
else { AddSlide("cssp/J_whatCS"); }
}


if (tutorialMode) { AddSlide("cssp/PTwhatP"); }
else { AddSlide("cssp/P_whatP"); }

AddSlide("cssp/P_Pdoes")
if (tutorialMode) { 
   AddSlide("cssp/PTPdoes1"); 
   AddSlide("cssp/PTPdoesr"); 
   AddSlide("cssp/PTPdoes2"); 
   AddSlide("cssp/PTPdoes3"); 
}

AddSlide("cssp/P_prop");
if (tutorialMode) { 
   AddSlide("cssp/PTprop1"); 
   AddSlide("cssp/PTprop2"); 
   AddSlide("cssp/PTprop3"); 
   AddSlide("cssp/PTprop4"); 
   AddSlide("cssp/PTprop5"); 
   AddSlide("cssp/PTprop6"); 
   AddSlide("cssp/PTprop7"); 
   AddSlide("cssp/PTprop8"); 
   AddSlide("cssp/PTprop9"); 
}

AddSlide("cssp/P_relabs");

// demo of absolute and relative positioning

AddSlide("cssp/P_html");

AddSlide("cssp/P_defalt");

if (tutorialMode) { 
   AddSlide("cssp/PTapdss1"); 
   AddSlide("cssp/PTapdss2"); 
}
else { AddSlide("cssp/P_apdss"); }

AddSlide("cssp/P_apdemo");

if (tutorialMode) {  
   AddSlide("cssp/PTratran");
   AddSlide("cssp/PTrpdss1"); 
//   AddSlide("cssp/PTrpdss2"); 
}
else { AddSlide("cssp/P_rpdss"); }

AddSlide("cssp/P_rpdemo");

AddSlide("cssp/P_zdss");
AddSlide("cssp/P_zdemo");

AddSlide("cssp/P_widths");
AddSlide("cssp/P_widthd");

if (tutorialMode) { AddSlide("cssp/PTvisib"); }
AddSlide("cssp/P_visibs");
AddSlide("cssp/P_visib1");
AddSlide("cssp/P_visib2");

} // end "if not skipCSSP ..."

if (skipCSSP && showURLsDuring) AddSlide("U_CSPonl")

// *** END CSSP !!!

AddSlide("EHagend3")


// *** START DOM

AddSlide("dom/J_whyJS");
AddSlide("dom/J_whyJS2");
AddSlide("dom/J_newsel");
if (!skipJSSS) AddSlide("dom/J_consel");
AddSlide("dom/J_newprp");

if (skipJSSS) {
AddSlide("dom/J_DevEx1");
}
else {

if (longversion) {
AddSlide("dom/J_where");
AddSlide("dom/J_where1");
AddSlide("dom/J_where2");
AddSlide("dom/J_wherec");
AddSlide("dom/J_scrsty");
AddSlide("dom/J_scrst2");
AddSlide("dom/J_where3");
}

AddSlide("dom/J_units");
//AddSlide("dom/C_units2");
AddSlide("dom/J_counit");
AddSlide("dom/J_couni2");
AddSlide("dom/J_coment");

if (longversion) {
AddSlide("dom/J_block");
AddSlide("dom/J_block2"); ////
AddSlide("dom/GrMargin");
AddSlide("dom/J_layout");
AddSlide("dom/J_lay2");
AddSlide("dom/J_margns"); //// 
AddSlide("dom/J_marga4");
AddSlide("dom/J_padprp"); ////
AddSlide("dom/J_pading"); ////
AddSlide("dom/J_pada4"); ////
AddSlide("dom/J_borda"); ////
AddSlide("dom/J_border"); ////
AddSlide("dom/J_borda4");
AddSlide("dom/J_bordst");
AddSlide("dom/J_bordco");
AddSlide("dom/J_bord3");
//// LATER, ADD IN JS ACCESSIBILITY DEMOS OF CSS BORDER TYPES
AddSlide("dom/J_with"); //// 

AddSlide("dom/J_color");
AddSlide("dom/J_class");
AddSlide("dom/J_class2");
AddSlide("dom/J_ids");
AddSlide("dom/J_idsa");
AddSlide("dom/J_ids2");

AddSlide("dom/J_span");
AddSlide("dom/J_div");
AddSlide("dom/J_fontS");
AddSlide("dom/J_fontW");
AddSlide("dom/J_fontW2"); //// 
AddSlide("dom/J_fntSzA");
AddSlide("dom/J_fntSzR");
// AddSlide("dom/J_fntSzI"); //// 
AddSlide("dom/J_fontFm");
AddSlide("dom/J_decor");
AddSlide("dom/J_xform");
AddSlide("dom/J_align");
AddSlide("dom/J_indent");
AddSlide("dom/J_listST");
AddSlide("dom/J_listUL");
AddSlide("dom/J_listOL");
} // end longversion



AddSlide("dom/J_multi");
AddSlide("dom/J_multi2");

AddSlide("dom/J_DevEx1");

if (longversion) {
AddSlide("dom/J_DevCo1");
AddSlide("dom/J_DevCo2");
AddSlide("dom/J_DevCo3");
AddSlide("dom/J_DevCo4");
} // longversion

AddSlide("dom/J_DevAd1");

if (standup) {
AddSlide("dom/J_DevAd2");
}

if (showURLs) {
AddSlide("css/J_SCURL")  //
AddSlide("css/J_SCURL2") //
AddSlide("css/J_SCURL3") //
}

} // end "if not skipJSSS ..."

// *** END DOM

// *** URLs

if (skipJSSS && showURLsDuring) {
AddSlide("css/J_SCURL")  //
AddSlide("css/J_SCURL2") //
}

// *** END URLs

AddSlide("EHagend4")


AddSlide("dynh/L_syntax");
AddSlide("dynh/L_JSeqCS");
AddSlide("dynh/L_JSeqC2");
AddSlide("dynh/L_prop");
AddSlide("dynh/L_Laypos");
AddSlide("dynh/L_prop1");
AddSlide("dynh/L_hddemo");
AddSlide("dynh/L_prop2");
AddSlide("dynh/L_prop3");
AddSlide("dynh/L_Laydst");
AddSlide("dynh/L_methxy");
AddSlide("dynh/L_Laymv");
AddSlide("dynh/L_methz")
AddSlide("dynh/L_Layzmv");
AddSlide("dynh/L_meth2");
AddSlide("dynh/L_demoo");
// AddSlide("dynh/L_nolay");
AddSlide("dynh/L_layjs2");
// AddSlide("dynh/L_layjs3");
// AddSlide("dynh/L_layjs4");
// AddSlide("dynh/L_URL");

// AddSlide("A_URL");

// AddSlide("B_agend7")


// writing for the web

AddSlide("EHagend5")

AddSlide("W_stdchk")
AddSlide("W_site")
AddSlide("W_LCD")
AddSlide("W_LCD1")
AddSlide("W_LCD1P")
AddSlide("W_JS10")
if (online) AddSlide("advjs/Vojvers2");
else AddSlide("advjs/Vijvers2");
AddSlide("W_JSclev")
AddSlide("W_JSclex")
AddSlide("W_bvers")
AddSlide("W_nav3bg")

/*
AddSlide("W_getimg")
AddSlide("W_setimg")
AddSlide("W_getx")
AddSlide("W_getx2")
AddSlide("W_setx")
AddSlide("W_movex")
AddSlide("W_gety")
AddSlide("W_gety2")
AddSlide("W_sety")
AddSlide("W_movey")
AddSlide("W_getz")
AddSlide("W_setz")
AddSlide("W_hide")
AddSlide("W_roadmp")
AddSlide("W_solns")
*/

AddSlide("EHagend6")

// ---- msns

AddSlide("msns/W_whogiv")

/*
AddSlide("msns/W_JSclev")
AddSlide("msns/W_JSclex")
AddSlide("msns/W_bvers")
AddSlide("msns/W_nav3bg")
*/
AddSlide("msns/W_getimg")
AddSlide("msns/W_setimg")
AddSlide("msns/W_getx")
AddSlide("msns/W_getx2")
AddSlide("msns/W_setx")
AddSlide("msns/W_movex")

if (longversion) {
AddSlide("msns/W_gety")
AddSlide("msns/W_gety2")
AddSlide("msns/W_sety")
AddSlide("msns/W_movey")
}

AddSlide("msns/W_getz")
AddSlide("msns/W_setz")
AddSlide("msns/W_hide")
AddSlide("msns/W_roadmp")
// TODO: AddSlide("msns/W_event")
AddSlide("msns/W_solns")


AddSlide("EHagend7")

AddSlide("dynh/F_overvw");   // 
// AddSlide("dynh/F_demo");   // 
AddSlide("dynh/F_stndrd");   // 
AddSlide("dynh/F_source");   // 
AddSlide("dynh/F_sourc2");   // 
AddSlide("dynh/F_FONT");   // 
AddSlide("dynh/F_demo2");   // 


AddSlide("EHagend8")


AddSlide("dynh/V_demo");   // 
AddSlide("dynh/V_tech");   // 

// TODO: AddSlide("L_demo");


AddSlide("dynh/summary");


if (showURLsAtEnd) {
// AddSlide("U_CSSonl")
AddSlide("U_CSS1P")
AddSlide("css/J_SCURL")
AddSlide("css/J_SCURL2")
AddSlide("css/J_SCURL3")
// AddSlide("U_DGCSSP")
AddSlide("U_DGCSSO")
// AddSlide("dynh/L_URL")
AddSlide("W_JSclex")
AddSlide("msns/W_roadmp")
// AddSlide("A_URL");
// AddSlide("dynh/DHP_URL")
AddSlide("U_JS12")

}






//if (online) {
//AddSlide("U_this")
//} 

// AddSlide("U_RE") this is regexp


//AddSlide("advjs/A_over")
//AddSlide("advjs/A_demo")


// Keep this last slide (logopage) in your presentation 
// so every presentation ends with the logo.

AddSlide("logopage");	// 








